package com.ruoyi.gysl.mapper;

import com.ruoyi.gysl.entity.Notice;
import com.ruoyi.gysl.entity.stats.AllProjectResponse;
import com.ruoyi.gysl.entity.stats.RibbonResponse;

import java.util.List;

/**
 * 政务统计数据库访问层
 *
 * @author makejava
 * @since 2025-03-22 11:11:55
 */
public interface ZwStatsMapper {
    /**
     * 项目情况
     */
    AllProjectResponse allProject();

    /**
     * 功能区
     */
    List<RibbonResponse> ribbon();

    /**
     * 投资主体
     */
    List<RibbonResponse> investors();

    /**
     * 消息通知
     */
    List<Notice> zwNotice();
}

